# Generated by Django 5.0.4 on 2024-04-30 09:51

import apps.who_icd.models.fields.multiple_choice
import django.core.serializers.json
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Release',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('metadata', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder, null=True)),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('date', models.DateField(verbose_name='Date')),
                ('available_languages', apps.who_icd.models.fields.multiple_choice.MultipleChoiceArrayField(base_field=models.CharField(blank=True, choices=[('ar', 'ar'), ('cs', 'cs'), ('en', 'en'), ('es', 'es'), ('fr', 'fr'), ('pt', 'pt'), ('ru', 'ru'), ('tr', 'tr'), ('uz', 'uz'), ('zh', 'zh')], max_length=2), blank=True, default=list, size=None, verbose_name='Available languages')),
            ],
            options={
                'verbose_name': 'Release',
                'verbose_name_plural': 'Releases',
            },
        ),
        migrations.CreateModel(
            name='Entity',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('metadata', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder, null=True)),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('definition', models.TextField(max_length=1024, verbose_name='Definition')),
                ('entity_id', models.CharField(max_length=127, unique=True, verbose_name='Icd id')),
                ('code', models.CharField(db_index=True, default='', max_length=16, verbose_name='Code')),
                ('class_kind', models.CharField(db_index=True, default='', max_length=16, verbose_name='Class kind')),
                ('depth', models.PositiveSmallIntegerField(verbose_name='Depth')),
                ('descendant', models.ManyToManyField(blank=True, null=True, to='who_icd.entity', verbose_name='Descendant')),
                ('exclusion', models.ManyToManyField(blank=True, null=True, to='who_icd.entity', verbose_name='exclusion')),
                ('foundation_child_elsewhere', models.ManyToManyField(blank=True, null=True, to='who_icd.entity', verbose_name='Foundation child elsewhere')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='who_icd.entity', to_field='entity_id')),
                ('release', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='who_icd.release')),
            ],
            options={
                'verbose_name': 'Entity',
                'verbose_name_plural': 'Entities',
            },
        ),
    ]
